Bug 40533 - i915: piglit glean/readPixSanity: DRI2SwapBuffers: BadDrawable (invalid Pixmap or Window parameter)
Summary: i915: piglit glean/readPixSanity: DRI2SwapBuffers: BadDrawable (invalid Pixma...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: 7.11
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-31 15:24 UTC by Kurt Roeckx
Modified: 2011-09-14 10:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Roeckx 2011-08-31 15:24:23 UTC
Hi,

I'm seeing this when running piglit on i830 and i915 chipset with mesa 7.11 and linux kernel 3.0.0:

Returncode: 1

Errors:
X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  136 (DRI2)
  Minor opcode of failed request:  8 (DRI2SwapBuffers		)
  Resource id in failed request:  0x2c0000b
  Serial number of failed request:  1878
  Current serial number in output stream:  1878
[...]
readPixSanity:  PASS rgba8, db, z24, s8, win+pmap, id 33
	RGBA largest readback error was 0 bits
	Depth largest readback error was 2.42341e-15 bits
readPixSanity:  PASS rgba8, db, z24, s8, win+pmap, id 34
	RGBA largest readback error was 0 bits
	Depth largest readback error was 2.42341e-15 bits
readPixSanity:  PASS rgba8, db, z24, s8, win+pmap, id 92
	RGBA largest readback error was 0 bits
	Depth largest readback error was 2.42341e-15 bits

When running all the test most actually work, but a few others also give a very similar error message about DRI2SwapBuffers.


Kurt
Comment 1 fangxun 2011-09-01 02:59:41 UTC
I can reproduce it on i830 and i915 chipset. It passes with --quick. It fails for a long time. It's not regression.
Comment 2 Michel Dänzer 2011-09-14 10:43:53 UTC
Should be fixed in Mesa Git.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.